Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

# Class FinancialInstitutionIdentificationSEPA1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_03.FinancialInstitutionIdentificationSEPA1

public class FinancialInstitutionIdentificationSEPA1 extends Object

Java class for FinancialInstitutionIdentificationSEPA1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitutionIdentificationSEPA1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BIC" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}BICIdentifier"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`bic`

## Constructor Summary

Constructors
Constructor
Description
`FinancialInstitutionIdentificationSEPA1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBIC()`
Gets the value of the bic property.
`void`
`setBIC(String value)`
Sets the value of the bic property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bic

protected String bic

## Constructor Details

### FinancialInstitutionIdentificationSEPA1

public FinancialInstitutionIdentificationSEPA1()

## Method Details

### getBIC

public String getBIC()
Gets the value of the bic property.

Returns:
  possible object is `String`

### setBIC

public void setBIC(String value)
Sets the value of the bic property.

Parameters:
  `value` - allowed object is `String`